# parallel\Sync::__construct

(1.1.0)

parallel\Sync::__construct — Construction

### Descripción

public parallel\Sync::__construct()

Shall construct a new synchronization object with no value

public parallel\Sync::__construct(scalar `$value`)

Shall construct a new synchronization object containing the given scalar value

### Exceptions

Advertencia

Shall throw parallel\Sync\Error\IllegalValue if `value` is non-scalar.